## django-guardian 1.1.1

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pdf       to make PDF document"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-guardian.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-guardian.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

pdf:
	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) $(BUILDDIR)/pdf
	@echo
	@echo "Build finished. The PDF files are in $(BUILDDIR)/pdf."

=== requirements.txt ===
Django==1.5.1
distribute==0.6.34
mock==1.0.1
wsgiref==0.1.2

=== debian/changelog ===
django-guardian (1.1.1-2) unstable; urgency=medium

  * Fixed: Installs benchmarks and example_project python packages
    (Closes: #737002) 
    - Thanks to report Michael Fladischer <FladischerMichael@fladi.at>.
  * debian/control:
    - Update Standards-Version to 3.9.5.
    - Append quilt to Build-Depends.
  * Change to DEP3 style header
    - debian/patches/append_uncompressed_js_libraries.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 30 Jan 2014 19:36:25 +0900

django-guardian (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #724989)
  * debian/patches:
    - append_uncompressed_js_libraries.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 30 Sep 2013 18:03:37 +0900

=== debian/control ===
Source: django-guardian
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0), python-all, python-setuptools, python-django (>= 1.2), python-sphinx, python-mock (>= 0.7.2), quilt
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://github.com/lukaszb/django-guardian

Package: python-django-guardian
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}, python-django (>= 1.2)
Suggests: python-django-guardian-doc
Description: per object permissions of django
 Implementation of per object permissions as authorization backend which is
 supported since Django 1.2. It provides features as followings;
  - Object permissions for Django_
  - AnonymousUser support
  - High level API
  - Heavely tested
  - Django's admin integration
  - Decorators

Package: python-django-guardian-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-underscore, python-sphinx, sphinx-common
Description: per object permissions of django (documentation)
 Implementation of per object permissions as authorization backend which is
 supported since Django 1.2. It provides features as followings;
  - Object permissions for Django_
  - AnonymousUser support
  - High level API
  - Heavely tested
  - Django's admin integration
  - Decorators
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1
export PYTHONPATH := $(CURDIR)

%:
	dh $@ --with python2,quilt

override_dh_auto_build:
	python setup.py build

	# Build the HTML documentation.
	cd $(CURDIR)/docs/ && make html 
	# rename file license.txt
	mv -f $(CURDIR)/docs/build/html/_sources/license.txt \
		$(CURDIR)/docs/build/html/_sources/lic.txt 
	sed -i 's:href="_sources/license.txt":href="_sources/lic.txt":g' \
		$(CURDIR)/docs/build/html/license.html
	rm -rf $(CURDIR)/docs/guardian

override_dh_auto_test:
	set -e ;\
	python $(CURDIR)/setup.py test

override_dh_auto_install:
	python setup.py install --no-compile -O0 --install-layout=deb \
		--root $(CURDIR)/debian/python-django-guardian
	find $(CURDIR)/debian/ -type d -name benchmarks | xargs rm -rf
	find $(CURDIR)/debian/ -type d -name example_project | xargs rm -rf

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_clean:
	dh_clean
	find $(CURDIR)/ -name "*.pyc" -delete
	rm -rf $(CURDIR)/django_guardian.egg-info
	rm -rf $(CURDIR)/build
	rm -rf $(CURDIR)/docs/build

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/d/django-guardian/django-guardian-(.*)\.tar\.gz

## django-guardian 1.2.4

=== debian/changelog ===
django-guardian (1.2.4-2) unstable; urgency=medium

  * Supported django 1.7 (Closes: #755598)
    - Added debian/patches:
      * 0005-Move-migrations-to-south_migrations.patch
      * 0006-Inlude-staticfiles-in-INSTALLED_APPS-only-once.patch
      * 0007-Name-INSTALLED_APPS-consistantly.patch
      * 0008-Fix-conflicting-related_name.patch
      * 0009-Add-Django-1.7-migrations.patch
      * 0010-Add-MIDDLEWARE_CLASSES-setting.patch
    - Thanks for patches and upstream report, Brian May <bam@debian.org>
  * Added dep3 headers to python32.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 03 Sep 2014 12:35:42 +0900

django-guardian (1.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Python3 package. Closes: #758381.

 -- Brian May <bam@debian.org>  Tue, 19 Aug 2014 11:37:25 +1000

django-guardian (1.2.4-1) unstable; urgency=medium

  * New upstream release
  * Added debian/patches:
    - fixed_title_underline_too_short.patch
    - remove_non_local_image_uri.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 19 Jul 2014 14:33:04 +0900

django-guardian (1.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Append python-six to Build-Depends and Depends of python-django-guardian.
  * debian/patches:
    - Removed Fixed-django1.6-incompatibility.patch
  * debian/watch
    - Change PyPI to GitHub repository.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 02 Apr 2014 21:04:59 +0900

django-guardian (1.1.1-3) unstable; urgency=medium

  * Fixed: get_objects_for_user() is incompatible with Django 1.6 abstract
    user models (Closes: #739524)
    - Append debian/patches/Fixed-django1.6-incompatibility.patch
    - Thanks to report Luke Faraone <lfaraone@debian.org>. 
  * Removed dead content in debian/patches/ (Closes: #739523)
    - Append-to-sys_path_to_conf_py.patch
    - Thanks to report Luke Faraone <lfaraone@debian.org>. 

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 20 Feb 2014 06:49:15 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
-Build-Depends: debhelper (>= 8.0.0), python-all, python-setuptools, python-django (>= 1.2), python-sphinx, python-mock (>= 0.7.2), quilt
+Build-Depends: debhelper (>= 8.0.0), dh-python,
+    python-all, python-setuptools, python-django (>= 1.2),
+    python-mock (>= 0.7.2), python-six, python-unittest2,
+    python3-all, python3-setuptools, python3-django (>= 1.2),
+    python3-mock (>= 0.7.2), python3-six,
+    python3-sphinx,
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: http://github.com/lukaszb/django-guardian
@@ -10,9 +15,25 @@
 Package: python-django-guardian
 Architecture: all
 Provides: ${python:Provides}
-Depends: ${python:Depends}, ${misc:Depends}, python-django (>= 1.2)
+Depends: ${python:Depends}, ${misc:Depends}, python-django (>= 1.2), python-six
 Suggests: python-django-guardian-doc
 Description: per object permissions of django
+ Implementation of per object permissions as authorization backend which is
+ supported since Django 1.2. It provides features as followings;
+  - Object permissions for Django_
+  - AnonymousUser support
+  - High level API
+  - Heavely tested
+  - Django's admin integration
+  - Decorators
+
+Package: python3-django-guardian
+Architecture: all
+Provides: ${python:Provides}
+Depends: ${python:Depends}, ${misc:Depends}, python3-django (>= 1.2), python3-six
+Suggests: python-django-guardian-doc
+Description: per object permissions of django for Python3
+ For Python3.
  Implementation of per object permissions as authorization backend which is
  supported since Django 1.2. It provides features as followings;
   - Object permissions for Django_

## django-guardian 1.2.4+git20141127

=== debian/changelog ===
django-guardian (1.2.4+git20141127-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix changelog message from 0.1. We closed the wrong bug.
  * Absolutely no other changes from version 0.1.

 -- Brian May <bam@debian.org>  Tue, 09 Dec 2014 11:00:54 +1100

django-guardian (1.2.4+git20141127-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * Use git version 3b41775705a0466d9033c5f88e425386d7e553cb.
  * Remove patches from debian/patches that are no longer required.
  * Add fix for https://github.com/lukaszb/django-guardian/issues/284.
  * Fix test errors. Closes: #763222.
  * Increase standards version to 3.9.6.
  * Requires Puthon >= 2.7.

 -- Brian May <bam@debian.org>  Mon, 24 Nov 2014 12:05:20 +1100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
     python3-all, python3-setuptools, python3-django (>= 1.2),
     python3-mock (>= 0.7.2), python3-six,
     python3-sphinx,
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.6
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
 Homepage: http://github.com/lukaszb/django-guardian
 
 Package: python-django-guardian

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export PYBUILD_NAME=django-guardian

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	
	# Build the HTML documentation.
	cd $(CURDIR)/docs/ && make html 
	# rename file license.txt
	mv -f $(CURDIR)/docs/build/html/_sources/license.txt \
		$(CURDIR)/docs/build/html/_sources/lic.txt 
	sed -i 's:href="_sources/license.txt":href="_sources/lic.txt":g' \
		$(CURDIR)/docs/build/html/license.html
	rm -rf $(CURDIR)/docs/guardian

override_dh_auto_install:
	dh_auto_install
	
	find $(CURDIR)/debian/ -type d -name benchmarks | xargs rm -rf
	find $(CURDIR)/debian/ -type d -name example_project | xargs rm -rf

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/docs/build

=== debian/watch ===
version=3
https://github.com/lukaszb/django-guardian/tags .*/v(\d[\d\.]+)\.tar\.gz

## django-guardian 1.4.1

=== requirements.txt ===
Django==1.9.1
six
django-environ

=== debian/changelog ===
django-guardian (1.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 13 Jan 2016 20:47:45 +1100

django-guardian (1.3.2-1) unstable; urgency=medium

  * New upstream version.
  * Make DPMT maintained.
  * Fixes FTBFS with Django 1.8: closes: #801933.

 -- Brian May <bam@debian.org>  Sat, 14 Nov 2015 14:31:24 +1100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: django-guardian
 Section: python
 Priority: optional
-Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
     python-all, python-setuptools, python-django (>= 1.2),
-    python-mock (>= 0.7.2), python-six, python-unittest2,
+    python-mock (>= 0.7.2), python-six, python-unittest2, python-django-environ,
     python3-all, python3-setuptools, python3-django (>= 1.2),
-    python3-mock (>= 0.7.2), python3-six,
+    python3-mock (>= 0.7.2), python3-six, python3-django-environ,
     python3-sphinx,
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://github.com/lukaszb/django-guardian
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-guardian.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-guardian.git
 
 Package: python-django-guardian
 Architecture: all
@@ -46,7 +49,7 @@
 Package: python-django-guardian-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-underscore, python-sphinx, sphinx-common
+Depends: ${misc:Depends}, libjs-underscore, python-sphinx, sphinx-common, libjs-jquery, libjs-modernizr
 Description: per object permissions of django (documentation)
  Implementation of per object permissions as authorization backend which is
  supported since Django 1.2. It provides features as followings;

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	
-	find $(CURDIR)/debian/ -type d -name benchmarks | xargs rm -rf
-	find $(CURDIR)/debian/ -type d -name example_project | xargs rm -rf
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES

## django-guardian 1.4.4

=== requirements.txt ===
Django==1.9.1
six
django-environ
setuptools_scm

=== debian/changelog ===
django-guardian (1.4.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https)

  [ Brian May ]
  * New upstream version.

 -- Brian May <bam@debian.org>  Tue, 05 Apr 2016 17:37:55 +1000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
 Build-Depends: debhelper (>= 8.0.0), dh-python,
     python-all, python-setuptools, python-django (>= 1.2),
     python-mock (>= 0.7.2), python-six, python-unittest2, python-django-environ,
+    python-pytest-runner, python-pytest-django, python-setuptools-scm,
     python3-all, python3-setuptools, python3-django (>= 1.2),
     python3-mock (>= 0.7.2), python3-six, python3-django-environ,
-    python3-sphinx,
-Standards-Version: 3.9.6
+    python3-pytest-runner, python3-pytest-django, python3-setuptools-scm,
+    python3-sphinx, python3-sphinx-rtd-theme,
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.7
-Homepage: http://github.com/lukaszb/django-guardian
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-guardian.git
+Homepage: https://github.com/lukaszb/django-guardian
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-guardian.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-guardian.git
 
 Package: python-django-guardian

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 export PYBUILD_NAME=django-guardian
+export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell cat django_guardian.egg-info/PKG-INFO | sed -n 's/^Version: //p')
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

## django-guardian 1.4.9

=== requirements.txt ===
Django>=1.10.6
six
django-environ
bumpversion

=== example_project/requirements.txt ===
Django==1.9.4
django-environ==0.4.0
django-rosetta==0.7.8
microsofttranslator==0.7
polib==1.0.7
six==1.10.0

=== debian/changelog ===
django-guardian (1.4.9-2) unstable; urgency=medium

  * Remove license.txt kludge. Closes: #868863.

 -- Brian May <bam@debian.org>  Fri, 21 Jul 2017 18:25:42 +1000

django-guardian (1.4.9-1) unstable; urgency=medium

  * New upstream version.
  * Update debian standards version to 4.0.0.
  * Fix Python 3 depends. Closes: #867401.

 -- Brian May <bam@debian.org>  Fri, 07 Jul 2017 20:45:22 +1000

django-guardian (1.4.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Depend on newer dh-python which sets SETUPTOOLS_SCM_PRETEND_VERSION
  * wrap-and-sort -t -a
  * Bumped debhelper compat version to 9
  * Standards-Version is 3.9.8 now (no changes needed)
  * d/copyright: Removed licence for absent files

  [ Brian May ]
  * New upstream version. Closes: #865556.
  * Refresh patches after git-dpm to gbp pq conversion

 -- Brian May <bam@debian.org>  Sun, 25 Jun 2017 13:28:33 +1000

=== debian/control ===
Source: django-guardian
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python (>= 2.20160609~),
               python-all,
               python-django (>= 1.2),
               python-django-environ,
               python-mock (>= 0.7.2),
               python-pytest-django,
               python-pytest-runner,
               python-setuptools,
               python-setuptools-scm,
               python-six,
               python-unittest2,
               python3-all,
               python3-django (>= 1.2),
               python3-django-environ,
               python3-mock (>= 0.7.2),
               python3-pytest-django,
               python3-pytest-runner,
               python3-setuptools,
               python3-setuptools-scm,
               python3-six,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.0.0
X-Python-Version: >= 2.7
Homepage: https://github.com/lukaszb/django-guardian
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-guardian.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-guardian.git

Package: python-django-guardian
Architecture: all
Provides: ${python:Provides},
Depends: python-django (>= 1.2),
         python-six,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-django-guardian-doc,
Description: per object permissions of django
 Implementation of per object permissions as authorization backend which is
 supported since Django 1.2. It provides features as followings;
  - Object permissions for Django_
  - AnonymousUser support
  - High level API
  - Heavely tested
  - Django's admin integration
  - Decorators

Package: python3-django-guardian
Architecture: all
Provides: ${python:Provides},
Depends: python3-django (>= 1.2),
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-django-guardian-doc,
Description: per object permissions of django for Python3
 For Python3.
 Implementation of per object permissions as authorization backend which is
 supported since Django 1.2. It provides features as followings;
  - Object permissions for Django_
  - AnonymousUser support
  - High level API
  - Heavely tested
  - Django's admin integration
  - Decorators

Package: python-django-guardian-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-modernizr,
         libjs-underscore,
         python-sphinx,
         sphinx-common,
         ${misc:Depends},
Description: per object permissions of django (documentation)
 Implementation of per object permissions as authorization backend which is
 supported since Django 1.2. It provides features as followings;
  - Object permissions for Django_
  - AnonymousUser support
  - High level API
  - Heavely tested
  - Django's admin integration
  - Decorators
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export PYBUILD_NAME=django-guardian

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	
	# Build the HTML documentation.
	cd $(CURDIR)/docs/ && make html 
	rm -rf $(CURDIR)/docs/guardian

override_dh_auto_install:
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/docs/build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/django-guardian/django-guardian-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-guardian 2.0.0

=== requirements.txt ===
Django>=2.1
django-environ
bumpversion
mock

=== example_project/requirements.txt ===
Django==2.1.*
django-environ==0.4.5
django-rosetta==0.9.3
microsofttranslator==0.8
polib==1.1.0

=== debian/changelog ===
django-guardian (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_sphinxdoc instead of custom linking code.
    - This fixes broken symlinks with sphinx-common ≥ 1.8.5-4.
    - This also removes dependency on python-sphinx (closes: #945662).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Dec 2019 21:07:05 +0300

django-guardian (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.
  * New upstream release supporting Django 2.2.
  * Remove broken test on django-guardian's authenticate().

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2019 02:12:07 +0200

=== debian/control ===
Source: django-guardian
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>,
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-django,
               python3-django-environ,
               python3-mock,
               python3-pytest-django,
               python3-pytest-runner,
               python3-setuptools,
               python3-setuptools-scm,
               python3-six,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.0.0
Homepage: https://github.com/lukaszb/django-guardian
Vcs-Git: https://salsa.debian.org/python-team/modules/django-guardian.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-guardian

Package: python3-django-guardian
Architecture: all
Provides: ${python:Provides},
Depends: python3-django (>= 1.2),
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-django-guardian-doc,
Description: per object permissions of django for Python3
 For Python3.
 Implementation of per object permissions as authorization backend which is
 supported since Django 1.2. It provides features as followings;
  - Object permissions for Django_
  - AnonymousUser support
  - High level API
  - Heavely tested
  - Django's admin integration
  - Decorators

Package: python-django-guardian-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: per object permissions of django (documentation)
 Implementation of per object permissions as authorization backend which is
 supported since Django 1.2. It provides features as followings;
  - Object permissions for Django_
  - AnonymousUser support
  - High level API
  - Heavely tested
  - Django's admin integration
  - Decorators
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export PYBUILD_NAME=django-guardian

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	
	# Build the HTML documentation.
	cd $(CURDIR)/docs/ && make html
	rm -rf $(CURDIR)/docs/guardian

override_dh_auto_install:
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/docs/build

## django-guardian 2.4.0

=== requirements.txt ===
Django>=2.2
django-environ
bumpversion
mock

=== example_project/requirements.txt ===
Django~=2.2.9
django-environ==0.4.5
django-rosetta==0.9.3
microsofttranslator==0.8
polib==1.1.0

=== debian/changelog ===
django-guardian (2.4.0-4) unstable; urgency=medium

  * Team upload.
  * Fix tests following the removal of "setup.py test" (closes: #1080102).
  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Sep 2024 22:18:33 +0100

django-guardian (2.4.0-3) unstable; urgency=medium

  * Team Upload
  * Remove extraneous dep on old python3-mock & python3-six

 -- Alexandre Detiste <tchet@debian.org>  Mon, 15 Jan 2024 21:31:10 +0100

django-guardian (2.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + python3-django-guardian: Drop versioned constraint on python3-django in
      Depends.
  * python-django-guardian-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 15:20:23 +0000

django-guardian (2.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Baptiste Beauplat ]
  * Rediff patches:
    - Remove remove-borken-test.patch: not needed
    - Refresh and rename 0002-Remove-nonlocal-image-for-Travis-ci.patch to
      0002-Remove-non-local-images-for-badges-CI.patch
  * Update d/watch:
    - Bump to version 4
    - Use @PACKAGE@ substitution
    - Use the recommended url from uscan(1)
  * Remove unused lintian-override on 'extra-license-file'
  * Add Bug-Database and Bug-Submit tags to d/upstream/metadata
  * Run upstream test suite as autopkgtest
  * Set Rules-Requires-Root: no to d/control
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0: no changes
  * Cleanup leftover files from build in d/clean
  * Update urls in d/copyright:
    - Fix pypi link
    - Switch apache license link to https
  * Move override_dh_auto_clean in d/clean
  * Ignore build modifications on .egg-info
  * Fix d/control autogenerated fields:
    - Remove unused ${python:Provides} from python3-django-guardian
    - Add ${sphinxdoc:Built-Using} to python-django-guardian-doc
  * Fix doc-base Author field
  * Move docs to /usr/share/doc's main package location:
    - Override dh_installdocs with --doc-main-package python3-django-guardian
      in d/rules
    - Update doc-base paths

 -- Baptiste Beauplat <lyknode@debian.org>  Wed, 29 Sep 2021 21:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: django-guardian
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Brian May <bam@debian.org>,
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-django,
                python3-django-environ,
-               python3-mock,
+               python3-pytest,
                python3-pytest-django,
                python3-pytest-runner,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.0.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/lukaszb/django-guardian
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-guardian.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-guardian
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-guardian.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-guardian
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-django-guardian
 Architecture: all
-Provides: ${python:Provides},
-Depends: python3-django (>= 1.2),
-         python3-six,
+Depends: python3-django,
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-django-guardian-doc,
@@ -43,8 +43,10 @@
 Package: python-django-guardian-doc
 Section: doc
 Architecture: all
+Built-Using: ${sphinxdoc:Built-Using},
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: per object permissions of django (documentation)
  Implementation of per object permissions as authorization backend which is
  supported since Django 1.2. It provides features as followings;

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 export PYBUILD_NAME=django-guardian
+export PYBUILD_TEST_ARGS={dir}/guardian
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -18,6 +19,7 @@
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf $(CURDIR)/docs/build
+override_dh_installdocs:
+	dh_installdocs -p python-django-guardian-doc \
+	               --doc-main-package python3-django-guardian
+	dh_installdocs --remaining-packages

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/d/@PACKAGE@/ \
    @PACKAGE@-(.+)\.tar\.gz
